Freeciv-3.2: packet_ruleset_goods Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_goods Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
int | from_pct
int | to_pct
int | onetime_pct
bv_goods_flags | flags
char | helptext [MAX_LEN_PACKET]

## Detailed Description

Definition at line 1334 of file packets_gen.h.

## Field Documentation

## ◆ flags

bv_goods_flags packet_ruleset_goods::flags

Definition at line 1343 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ from_pct

int packet_ruleset_goods::from_pct

Definition at line 1340 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ helptext

char packet_ruleset_goods::helptext[MAX_LEN_PACKET]

Definition at line 1344 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ id

int packet_ruleset_goods::id

Definition at line 1335 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ name

char packet_ruleset_goods::name[MAX_LEN_NAME]

Definition at line 1336 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ onetime_pct

int packet_ruleset_goods::onetime_pct

Definition at line 1342 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ reqs

struct requirement packet_ruleset_goods::reqs[MAX_NUM_REQS]

Definition at line 1339 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ reqs_count

int packet_ruleset_goods::reqs_count

Definition at line 1338 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ rule_name

char packet_ruleset_goods::rule_name[MAX_LEN_NAME]

Definition at line 1337 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().

## ◆ to_pct

int packet_ruleset_goods::to_pct

Definition at line 1341 of file packets_gen.h.

Referenced by handle_ruleset_goods(), send_packet_ruleset_goods_100(), and send_ruleset_goods().